Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047928 - Web Process Designer Simulation reports blank, dis-functional
Summary: Web Process Designer Simulation reports blank, dis-functional
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.0
Hardware: x86_64
OS: Mac OS
medium
medium
Target Milestone: CR1
: 6.0.0
Assignee: Maciej Swiderski
QA Contact: Sona Mala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-02 15:28 UTC by Eric D. Schabell
Modified: 2014-08-06 20:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:13:24 UTC
Type: Bug


Attachments (Terms of Use)
generic loan process with simulation added. (50.57 KB, application/xml)
2014-01-02 15:28 UTC, Eric D. Schabell
no flags Details
broken simulation results reports (43.74 KB, image/png)
2014-01-02 15:28 UTC, Eric D. Schabell
no flags Details

Description Eric D. Schabell 2014-01-02 15:28:14 UTC
Created attachment 844595 [details]
generic loan process with simulation added.

Description of problem:
Load Generic Loan process (attached), setup simulation with each branch having a value, run load 50 instances, no errors in server log, reports blank and no paths taken (screenshot attached).

Version-Release number of selected component (if applicable):
BETA & ER7

How reproducible:
see above

Steps to Reproduce:
1.see above
2.
3.

Actual results:
no reports on simulation.

Expected results:
reports and output of proper simulation spread through process.

Additional info:

Comment 1 Eric D. Schabell 2014-01-02 15:28:59 UTC
Created attachment 844596 [details]
broken simulation results reports

Comment 4 Maciej Swiderski 2014-01-07 18:43:50 UTC
incorrect handling on signal events on the DBAudit path in the process was causing this errors. It was considered as process path while it's intermediate event and not start.

droolsjbpm-integration
master:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/3db8dd39736cf1fb1dedd2a6510d55e93027f2d1

6.0.x:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/ffdef0b23c47cf0b42f6b16a3a588fbb897890b3

Comment 5 Eric D. Schabell 2014-01-17 14:15:18 UTC
Wanted to add to this after playing with it more at the Japan workshop, we got it to run with <20 instances when doing a simulation run. Some processes will not show images but others do just fine. 

It seems a load of +20 then issue remains as described initially.

Tested on several bpm project flows.

Comment 6 Sona Mala 2014-01-23 15:34:43 UTC
I tried it for # instances 50 and 100 and simulation engine always returns result.

I verify it for 6.0.0 CR1.

Not sure about meaning of DBAudit Signal Intemediate Catch Event in this case (no throw event in this process). I think that there should be "interTriggerTimer" simulation property for "DBAudit" event.


Note You need to log in before you can comment on or make changes to this bug.